Get a List of Top-level Configuration Element Types

get

/rest/{versionId}/configuration/device-configs/{deviceId}/element-types

Use this (GET) method to retrieve a list of top-level configuration element types that the targeted device release supports. A top-level element can contain several layers of sub-element children but has no parent configuration element. The top level element types can then be used to construct any configuration element that the targeted device release supports by invoking the Add an Element Type (POST) method.

Request

Path Parameters
Back to Top

Response

200 Response

Successful operation

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission for the attempted action.

404 Response

The object (resource URI, device, and so on) of your input request cannot be found.

409 Response

The Device is of ME Product type.The Top Level Config Elements Types cannot be listed/seen.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get a List of Top-level Configuration Element Types.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/element-types"

The following example shows how to use Python to get a List of Top-level Configuration Element Types.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/<deviceId>/element-types"
resp = requests.get(url, headers=headers)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter.

Example of the Response Body

The following example shows the contents of the response body.

{
  "types": [
    {
      "cliName": "session-router->policy",
      "name": "policyConfig"
    },
    {
      "cliName": "security->authentication",
      "name": "authConfig"
    },
    {
      "cliName": "session-router->dialing-context",
      "name": "dialingContext"
    },
    {
      "cliName": "system->snmp-community",
      "name": "snmpCommunity"
    },
    {
      "cliName": "session-router->local-subscriber-table",
      "name": "LocalSubscriberTable"
    },
    {
      "cliName": "session-router->sip-authentication-profile",
      "name": "sipAuthenticationProfile"
    },
    {
      "cliName": "security->password-policy",
      "name": "passwordPolicy"
    },
    {
      "cliName": "system->spl-config",
      "name": "splConfig"
    },
    {
      "cliName": "system->memory-leak-tracker",
      "name": "memoryTracker"
    },
    {
      "cliName": "media-manager->media-policy",
      "name": "mediaPolicy"
    },
    {
      "cliName": "session-router->account-config",
      "name": "acctConfig"
    },
    {
      "cliName": "security->certificate-record",
      "name": "certRecord"
    },
    {
      "cliName": "security->tls-profile",
      "name": "tlsProfile"
    },
    {
      "cliName": "system->http-client",
      "name": "httpClientConfig"
    },
    {
      "cliName": "system->snmp-group-entry",
      "name": "snmpGroupEntry"
    },
    {
      "cliName": "system->snmp-address-entry",
      "name": "snmpAddressEntry"
    },
    {
      "cliName": "session-router->session-group",
      "name": "sessionAgentGroup"
    },
    {
      "cliName": "session-router->enum-config",
      "name": "EnumConfig"
    },
    {
      "cliName": "system->http-server",
      "name": "httpServer"
    },
    {
      "cliName": "session-router->sip-config",
      "name": "sipConfig"
    },
    {
      "cliName": "system->system-config",
      "name": "systemConfig"
    },
    {
      "cliName": "session-router->sip-manipulation",
      "name": "sipManipulation"
    },
    {
      "cliName": "system->trap-receiver",
      "name": "trapReceiver"
    },
    {
      "cliName": "session-router->user-number",
      "name": "userNumber"
    },
    {
      "cliName": "security->tls-global",
      "name": "tlsGlobal"
    },
    {
      "cliName": "security->public-key",
      "name": "sshPubKeyRecord"
    },
    {
      "cliName": "session-router->ldap-group",
      "name": "ldapGroup"
    },
    {
      "cliName": "media-manager->realm-config",
      "name": "realmConfig"
    },
    {
      "cliName": "session-router->session-agent",
      "name": "sessionAgent"
    },
    {
      "cliName": "session-router->sip-interface",
      "name": "sipInterface"
    },
    {
      "cliName": "session-router->access-control",
      "name": "accessControl"
    },
    {
      "cliName": "session-router->filter-config",
      "name": "filterConfig"
    },
    {
      "cliName": "system->redundancy",
      "name": "RedundancyConfig"
    },
    {
      "cliName": "session-router->sync-agent",
      "name": "syncAgent"
    },
    {
      "cliName": "session-router->ldap-config",
      "name": "ldapConfig"
    },
    {
      "cliName": "session-router->sip-registrar",
      "name": "sipRegistrar"
    },
    {
      "cliName": "session-router->routing-entry",
      "name": "routingEntry"
    },
    {
      "cliName": "system->network-parameters",
      "name": "NetworkParameters"
    },
    {
      "cliName": "system->snmp-user-entry",
      "name": "snmpUserEntry"
    },
    {
      "cliName": "system->host-route",
      "name": "ipRoute"
    },
    {
      "cliName": "security->admin-security->audit-logging",
      "name": "auditLogging"
    },
    {
      "cliName": "system->snmp-view-entry",
      "name": "snmpViewEntry"
    },
    {
      "cliName": "session-router->sync-config",
      "name": "syncConfig"
    },
    {
      "cliName": "session-router->additional-target-group",
      "name": "additionalTargetGroup"
    },
    {
      "cliName": "session-router->sip-monitoring",
      "name": "sipMonitoring"
    },
    {
      "cliName": "system->phy-interface",
      "name": "phyInterfaceConfig"
    },
    {
      "cliName": "system->network-interface",
      "name": "networkInterface"
    },
    {
      "cliName": "ntp-sync",
      "name": "ntpConfig"
    },
    {
      "cliName": "session-router->lawful-intercept",
      "name": "LiConfig"
    }
  ]
}
Back to Top